<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: documents/SamplesExample.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: documents/SamplesExample.js</h1>






    <section>
        <article>
            <pre class="prettyprint source linenums"><code>/**
     * @summary Example of using Samples SDK methods.
     * @name  Samples-SDK_Example
     * @public
     *
     *
     * @example
     *
     * DATA Samples
     *
     * const samplesCreateData = { bundle: `New sample` };
     * const samplesUpdateData = { bundle: `Update sample` };;
     *
     * GET Samples
     *
     * MagentoClient.samples.get().then(result => {
     *   consoleAndAppend('MagentoClient.samples.get()', result);
     * });
    *
    *
    * FIND Samples
    *
     * MagentoClient.samples.find(1).then(result => {
     *   consoleAndAppend('MagentoClient.samples.find(1)', result);
     * });
     *
     *
     * CREATE Samples
     *
     * MagentoClient.samples.create(samplesCreateData).then(result => {
     *   consoleAndAppend('MagentoClient.samples.create(samplesCreateData)', result);
     * });
     *
     *
     * UPDATE Samples
     *
     * const recordId = result.resource[0].idSample;
     * MagentoClient.samples.update(recordId, samplesUpdateData).then(result => {
     *   consoleAndAppend('MagentoClient.samples.update(recordId, samplesUpdateData)', result);
     * });
     *
     *
     * DELETE Samples
     *
     *  MagentoClient.samples.delete(recordId).then(result => {
     *    consoleAndAppend('MagentoClient.samples.delete(recordId)', result);
     *     });
     *   });
     *  });
     *
     *
     *
     *
     *
    */</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="HttpClient.html">HttpClient</a></li><li><a href="MagentoClient.html">MagentoClient</a></li></ul><h3>Global</h3><ul><li><a href="global.html#addDocuments">addDocuments</a></li><li><a href="global.html#addProduct">addProduct</a></li><li><a href="global.html#addTags">addTags</a></li><li><a href="global.html#Channels-SDK_Example">Channels-SDK_Example</a></li><li><a href="global.html#Countries-SDK_Example">Countries-SDK_Example</a></li><li><a href="global.html#default">default</a></li><li><a href="global.html#Documents-SDK_Example">Documents-SDK_Example</a></li><li><a href="global.html#filter">filter</a></li><li><a href="global.html#generateEndpointsCrudMethods">generateEndpointsCrudMethods</a></li><li><a href="global.html#getProducts">getProducts</a></li><li><a href="global.html#getSalesPerson">getSalesPerson</a></li><li><a href="global.html#getTradeShows">getTradeShows</a></li><li><a href="global.html#importAndExecuteModules">importAndExecuteModules</a></li><li><a href="global.html#ProductCategories-SDK_Example">ProductCategories-SDK_Example</a></li><li><a href="global.html#Products-SDK_Example">Products-SDK_Example</a></li><li><a href="global.html#Recipes-SDK_Example">Recipes-SDK_Example</a></li><li><a href="global.html#removeTags">removeTags</a></li><li><a href="global.html#retrieveRecipes">retrieveRecipes</a></li><li><a href="global.html#SalesPerson-SDK_Example">SalesPerson-SDK_Example</a></li><li><a href="global.html#salesPersonModule">salesPersonModule</a></li><li><a href="global.html#SalesRepresentative-SDK_Example">SalesRepresentative-SDK_Example</a></li><li><a href="global.html#Samples-SDK_Example">Samples-SDK_Example</a></li><li><a href="global.html#setSalesPerson">setSalesPerson</a></li><li><a href="global.html#setTradeShow">setTradeShow</a></li><li><a href="global.html#synchronize">synchronize</a></li><li><a href="global.html#Tags-SDK_Example">Tags-SDK_Example</a></li><li><a href="global.html#Tradeshow-SDK_Example">Tradeshow-SDK_Example</a></li><li><a href="global.html#UserTypes-SDK_Example">UserTypes-SDK_Example</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a> on Fri Nov 22 2019 13:09:48 GMT-0600 (Central Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
